<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


$flat_block_ID = sanitize_text_field( $_GET['block_id'] );
?>
<div class="block_checkbox_targeting_content view_1_level_sub_2 item_view_block">
	<?php
	$flat_pm_view_where = ( isset( get_post_meta( $flat_block_ID, 'flat_pm_view', true )['where'] ) ? get_post_meta( $flat_block_ID, 'flat_pm_view', true )['where'] : NULL );

	$args = array(
		'public'   => true
	);

	$post_types = array_diff( array_values( get_post_types( $args, 'names', 'and' ) ), array( 'flat_pm_block','attachment' ) );
	$terms_flat = get_terms( array(
		'taxonomy' => get_object_taxonomies( $post_types ),
		'orderby'  => 'none',
	) );

	$tax_flat_bool = array();
	$tax_flat = array();

	foreach ( $terms_flat as $value ) {
		if( !isset( $tax_flat_bool[$value->taxonomy] ) ){
			$tax_flat_bool[$value->taxonomy] = true;
			$tax_flat []= get_taxonomy( $value->taxonomy );
		}
	} unset( $value );
	?>
	<div class="item_flex" style="padding-bottom:20px;margin-bottom:50px;border-bottom:2px dashed #8590c3">
		<h2>Ваши типы записей (<span title="Как пример">записи, страницы</span>):</h2>
		<?php
		$div_hidden = array();
		foreach ( $post_types as $value ) {
			$value = get_post_type_object( $value );
			echo '<input type="checkbox" name="checkbox_block_post_type_' . $value->name . '" id="checkbox_block_post_type_' . $value->name . '" ' . ( ( in_array( $value->name, $flat_pm_view_where['type_of_posts'] ) ) ? 'checked="checked"' : '' ) . '><label for="checkbox_block_post_type_' . $value->name . '" class="select_none">' . $value->labels->name . '</label>';
		}
		unset( $value );
		$settings = get_option( 'flat_plugin_settings_me' );
		if( !isset( $settings['once_post'] ) || $settings['once_post'] == 'true' ){
			$get_posts = new WP_Query;
			$flat_post = $get_posts->query(array(
				'post_type'              => $post_types,
				'posts_per_page'         => -1,
				'post_status'            => 'publish',
				'orderby'                => 'none',
				'fields'                 => 'ids',
				'cache_results'          => false,
				'update_post_meta_cache' => false,
				'update_post_term_cache' => false,
				'no_found_rows'          => true
			));
			foreach ($flat_post as $value) {
				$f_post = get_post($value);
				$div_hidden []= array( $f_post->post_title, $f_post->post_type, strval( $value ) );
				wp_cache_delete( $value, 'posts' );
				wp_cache_delete( $value, 'post_meta' );
				clean_object_term_cache( $value, $f_post->post_type );
				unset( $f_post );
			} unset( $value );
		}
		?>
		<div class="flex_flat">
			<div class="item_flex" style="align-self:flex-start">
				<h3>В каких записях выводить?</h3>
				<div class="flat_search_post_types_enabled"><?php
					if( !empty( $flat_pm_view_where['posts_enabled'] ) ){
						foreach ( $flat_pm_view_where['posts_enabled'] as $key => $value ) {
							for ( $i=0; $i < count( $value ); $i++ ) {
								echo '<div class="item" data-id="' . $value[$i] . '" data-type="' . $key . '">' . get_the_title( $value[$i] ) . '<span class="delete_me_pls"></span></div>';
							}
							unset( $i );
						}
						unset( $value, $key );
					}
				?></div>
				<?php if( !isset( $settings['once_post'] ) || $settings['once_post'] == 'true' ){ ?>
					<label for="flat_search_post_types_enabled" class="title select_none">Быстрый поиск:</label>
					<input type="text" name="flat_search_post_types_enabled" id="flat_search_post_types_enabled" placeholder="Начните вводить название или id">
					<ul class="post_types_flat_enabled"></ul>
				<?php } ?>
				<label for="flat_list_post_types_enabled" class="title select_none"><?php echo ( !isset( $settings['once_post'] ) || $settings['once_post'] == 'true' ) ? 'Или в' : 'В'; ?>ставьте список ссылок, id или названия сюда:</label>
				<textarea name="flat_list_post_types_enabled" id="flat_list_post_types_enabled" placeholder="Каждая запись с новой строки" required></textarea>
				<button id="flat_list_post_types_button_disabled">Добавить список</button>
			</div>
			<div class="item_flex" style="align-self:flex-start">
				<h3>В каких записях <span>не</span> выводить?</h3>
				<div class="flat_search_post_types_disabled"><?php
					if( !empty( $flat_pm_view_where['posts_disabled'] ) ){
						foreach ( $flat_pm_view_where['posts_disabled'] as $key => $value ) {
							for ( $i=0; $i < count( $value ); $i++ ) {
								echo '<div class="item" data-id="' . $value[$i] . '" data-type="' . $key . '">' . get_the_title( $value[$i] ) . '<span class="delete_me_pls"></span></div>';
							} unset( $i );
						} unset( $value, $key );
					}
				?></div>
				<?php if( !isset( $settings['once_post'] ) || $settings['once_post'] == 'true' ){ ?>
					<label for="flat_search_post_types_disabled" class="title select_none">Быстрый поиск:</label>
					<input type="text" name="flat_search_post_types_disabled" id="flat_search_post_types_disabled" placeholder="Начните вводить название или id">
					<ul class="post_types_flat_disabled"></ul>
				<?php } ?>
				<label for="flat_list_post_types_disabled" class="title select_none"><?php echo ( !isset( $settings['once_post'] ) || $settings['once_post'] == 'true' ) ? 'Или в' : 'В'; ?>ставьте список ссылок, id или названия сюда:</label>
				<textarea name="flat_list_post_types_disabled" id="flat_list_post_types_disabled" placeholder="Каждая запись с новой строки" required></textarea>
				<button id="flat_list_post_types_button_disabled">Добавить список</button>
			</div>
		</div>
		<script>
		var post_types_flat = <?php echo json_encode( $div_hidden, JSON_UNESCAPED_UNICODE ); ?>;
		</script>
		<div style="margin:15px auto 0"></div>
		<?php if( !isset( $settings['once_post'] ) || $settings['once_post'] == 'true' ){ ?>
			<p class="notice" style="text-align:center">В быстром поиске введите <span style="color:red">all</span> для отображения полного списка</p>
		<?php } ?>
		<p class="notice" style="text-align:center"><span style="color:red">!Важно</span> Если ничего не выбрано, то поиск будет происходить по всем типам записей, отмеченных <span style="color:#fff;background:#0c0;padding:3px 10px 5px;margin:0 0 0 2px">зелёным</span></p>
	</div>
	<div class="item_flex" style="padding-bottom:20px;margin-bottom:50px;border-bottom:2px dashed #8590c3">
		<h2>Ваши таксономии (<span title="Как пример">рубрики, метки</span>):</h2>
		<?php
		$div_hidden = array();
		foreach ( $terms_flat as $value ) {
			$div_hidden []= array( $value->name, $value->taxonomy, strval( $value->term_id ) );
		} unset( $value );
		?>
		<div class="flex_flat">
			<div class="item_flex" style="align-self:flex-start">
				<h3>В каких таксономиях выводить?</h3>
				<div class="flat_search_term_enabled"><?php
					if( !empty( $flat_pm_view_where['tax_enabled'] ) ){
						foreach ( $flat_pm_view_where['tax_enabled'] as $key => $value ) {
							for ( $i=0; $i < count( $value ); $i++ ) { 
								echo '<div class="item" data-id="' . $value[$i] . '" data-type="' . $key . '">' . get_term( $value[$i], $key )->name . '<span class="delete_me_pls"></span></div>';
							}
							unset( $i );
						}
						unset( $value, $key );
					}
				?></div>
				<label for="flat_search_term_enabled" class="title select_none">Быстрый поиск:</label>
				<input type="text" name="flat_search_term_enabled" id="flat_search_term_enabled" placeholder="Начните вводить название или id">
				<ul class="terms_flat_enabled"></ul>
			</div>
			<div class="item_flex" style="align-self:flex-start">
				<h3>В каких таксономиях <span>не</span> выводить?</h3>
				<div class="flat_search_term_disabled"><?php
					if( !empty( $flat_pm_view_where['tax_disabled'] ) ){
						foreach ( $flat_pm_view_where['tax_disabled'] as $key => $value ) {
							for ( $i=0; $i < count($value); $i++ ) { 
								echo '<div class="item" data-id="' . $value[$i] . '" data-type="' . $key . '">' . get_term( $value[$i], $key )->name . '<span class="delete_me_pls"></span></div>';
							}
							unset($i);
						}
						unset( $value, $key );
					}
				?></div>
				<label for="flat_search_term_disabled" class="title select_none">Быстрый поиск:</label>
				<input type="text" name="flat_search_term_disabled" id="flat_search_term_disabled" placeholder="Начните вводить название или id">
				<ul class="terms_flat_disabled"></ul>
			</div>
		</div>
		<script>
		var terms_flat = <?php echo json_encode( $div_hidden, JSON_UNESCAPED_UNICODE ); ?>;
		</script>
		<p class="notice" style="text-align:center;margin:15px auto 0">В быстром поиске введите <span style="color:red">all</span> для отображения полного списка</p>
		<p class="notice" style="text-align:center"><span style="color:red">!Важно</span> Если ничего не выбрано, то поиск будет происходить по всем таксономиям, а на архивах самих таксономий вывод будет недоступен</p>
		<p style="text-align:left;font-size:16px;color:#000;width:94%"><span style="color:red">Быстрый поиск</span> будет проходить по этим таксономиям:</p>
		<?php
		echo '<ul class="tax_flat_list">';
		foreach ( $tax_flat as $value ) {
			echo '<li>' . $value->labels->name . '</li>';
		}
		unset( $value );
		echo '</ul>';
		?>
	</div>
	<div class="item_flex" style="padding-bottom:20px;margin-bottom:50px;border-bottom:2px dashed #8590c3">
		<h2>Главная:</h2>
		<div class="flex_flat">
			<div class="item_flex" style="align-self:flex-start">
				<input type="checkbox" name="home_block_enabled" id="home_block_enabled"<?php if( $flat_pm_view_where['show_in_home'] == '1' || $flat_pm_view_where['show_in_home'] == '2' ) echo ' checked="checked"'; ?>>
				<label for="home_block_enabled" class="select_none">ыводить на главной</label>
			</div>
			<div class="item_flex" style="align-self:flex-start">
				<input type="checkbox" name="home_block_enabled_only" id="home_block_enabled_only"<?php if( $flat_pm_view_where['show_in_home'] == '0' ) echo ' disabled="disabled"'; if( $flat_pm_view_where['show_in_home'] == '2' ) echo ' checked="checked"'; ?>>
				<label for="home_block_enabled_only" class="select_none">ыводить ТОЛЬКО на главной</label>
			</div>
		</div>
	</div>
	<div class="item_flex" style="padding-bottom:20px;margin-bottom:50px;border-bottom:2px dashed #8590c3">
		<h2>Архивы и рубрики:</h2>
		<div class="flex_flat">
			<div class="item_flex" style="align-self:flex-start">
				<input type="checkbox" name="archive_block_enabled" id="archive_block_enabled"<?php if( $flat_pm_view_where['show_in_cat'] == '1' || $flat_pm_view_where['show_in_cat'] == '2' ) echo ' checked="checked"'; ?>>
				<label for="archive_block_enabled" class="select_none">ыводить в архивах и рубриках</label>
			</div>
			<div class="item_flex" style="align-self:flex-start">
				<input type="checkbox" name="archive_block_enabled_only" id="archive_block_enabled_only"<?php if( $flat_pm_view_where['show_in_cat'] == '0' ) echo ' disabled="disabled"'; if( $flat_pm_view_where['show_in_cat'] == '2' ) echo ' checked="checked"'; ?>>
				<label for="archive_block_enabled_only" class="select_none">ыводить ТОЛЬКО в архивах и рубриках</label>
			</div>
		</div>
	</div>
	<div class="item_flex" style="padding-bottom:20px;margin-bottom:50px;border-bottom:2px dashed #8590c3">
		<h2>Страница поиска:</h2>
		<div class="flex_flat">
			<div class="item_flex" style="align-self:flex-start">
				<input type="checkbox" name="search_block_enabled" id="search_block_enabled"<?php if( isset( $flat_pm_view_where['show_in_search'] ) && ( $flat_pm_view_where['show_in_search'] == '1' || $flat_pm_view_where['show_in_search'] == '2' ) ) echo ' checked="checked"'; ?>>
				<label for="search_block_enabled" class="select_none">ыводить на странице поиска</label>
			</div>
			<div class="item_flex" style="align-self:flex-start">
				<input type="checkbox" name="search_block_enabled_only" id="search_block_enabled_only"<?php if( !isset( $flat_pm_view_where['show_in_search'] ) || $flat_pm_view_where['show_in_search'] == '0' ) echo ' disabled="disabled"'; if( isset( $flat_pm_view_where['show_in_search'] ) && $flat_pm_view_where['show_in_search'] == '2' ) echo ' checked="checked"'; ?>>
				<label for="search_block_enabled_only" class="select_none">ыводить ТОЛЬКО на странице поиска</label>
			</div>
		</div>
	</div>
	<div class="item_flex">
		<h2>Страница с 404 ошибкой:</h2>
		<div class="flex_flat">
			<div class="item_flex" style="align-self:flex-start">
				<input type="checkbox" name="404_block_enabled" id="404_block_enabled"<?php if( isset( $flat_pm_view_where['show_in_404'] ) && ( $flat_pm_view_where['show_in_404'] == '1' || $flat_pm_view_where['show_in_404'] == '2' ) ) echo ' checked="checked"'; ?>>
				<label for="404_block_enabled" class="select_none">ыводить на странице с 404 ошибкой</label>
			</div>
			<div class="item_flex" style="align-self:flex-start">
				<input type="checkbox" name="404_block_enabled_only" id="404_block_enabled_only"<?php if( !isset( $flat_pm_view_where['show_in_404'] ) || $flat_pm_view_where['show_in_404'] == '0' ) echo ' disabled="disabled"'; if( isset( $flat_pm_view_where['show_in_404'] ) && $flat_pm_view_where['show_in_404'] == '2' ) echo ' checked="checked"'; ?>>
				<label for="404_block_enabled_only" class="select_none">ыводить ТОЛЬКО на странице с 404 ошибкой</label>
			</div>
		</div>
	</div>
</div>