<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="block_checkbox_options">
	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_once" id="flat_pm_check_setting_once"<?php if( !isset( $settings['once_post'] ) || $settings['once_post'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_once" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_once">Включить быстрый поиск по записям</label>
			<p class="description">При создании или редактировании блока, во вкладке <code>Таргетинг по контенту</code>, применяется алгоритм быстрого поиска при вводе названий статей.</p>
			<p class="notice"><b>Flat PM</b>: Будет использовать этот алгоритм</p>
			<p class="warning">Отключите эту опцию, если у вас на сайте больше 10000 статей и наблюдаются проблемы с добавлением/редактированием блоков</p>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_adblock" id="flat_pm_check_setting_adblock"<?php if( isset( $settings['adblock'] ) && $settings['adblock'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_adblock" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_adblock">Дублировать основной код в код для пользователей <span style="color:red;font-weight:700">ADblock</span></label>
			<p class="description">Чтобы не заполнять одинаковый код в оба окошка, можете включить эту опцию. Благодаря этому в html вашей страницы будет выводиться меньше json кода.</p>
			<p class="notice"><b>Flat PM</b>: Будет использовать эту опцию</p>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_untilscroll" id="flat_pm_check_setting_untilscroll"<?php if( isset($settings['untilscroll'] ) && $settings['untilscroll'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_untilscroll" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_untilscroll">Скролить <code>flatPM_sidebar</code> до указанного селектора</label>
			<p class="description">По умолчанию в плагине предусмотрено прилипание блока в сайдбаре только до конца статьи, где расположен блок - <code>.flat_pm_end</code></p>
			<p class="description">Укажите селектор блока, до которого должен скролиться блок в сайдбаре <input type="text" name="flat_pm_check_setting_untilscroll_selector" id="flat_pm_check_setting_untilscroll_selector" value="<?php echo ( isset( $settings['untilscroll_selector'] ) ) ? $settings['untilscroll_selector'] : '.flat_pm_end'; ?>" style="width:150px;display:inline;"> , по умолчанию - <code>.flat_pm_end</code></p>
			<p class="notice"><b>Flat PM</b>: Будет фиксировать блок до нужного элемента</p>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_clear_cache" id="flat_pm_check_setting_clear_cache"<?php if( isset($settings['clear_cache'] ) && $settings['clear_cache'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_clear_cache" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_clear_cache">Включить авто сброс кеша при создании/редактировании блоков</label>
			<p class="description">Авто сброс кеша при значимых действиях в плагине: добавление/редактирования блока/папки, перемещение блоков в/из папки</p>
			<p class="notice"><b>Flat PM</b>: Будет сбрасывать кеш</p>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_jquery_migrate" id="flat_pm_check_setting_jquery_migrate"<?php if( isset($settings['jquery_migrate'] ) && $settings['jquery_migrate'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_jquery_migrate" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_jquery_migrate">Отключить <code>jquery-migrate.min.js</code> на сайте</label>
			<p class="description">Зачастую <code>jquery-migrate.min.js</code> в совокупности с старой версией <code>jquery.min.js</code> может ломать выполнение скриптов на сайте, чтобы помочь таким пользователям, нужна эта опция в настройках.</p>
			<p class="notice"><b>Flat PM</b>: Отключит проблемный скрипт</p>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_editor_manage" id="flat_pm_check_setting_editor_manage"<?php if( isset($settings['editor_manage'] ) && $settings['editor_manage'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_editor_manage" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_editor_manage">Позволить редакторам управлять плагином</label>
			<p class="description">Если вы хотите предоставить доступ к плагину, но не выдавать права администратора - включите эту настройку, тогда прользователи со статусом "Редактор" получат эти привилегии.</p>
			<p class="notice"><b>Flat PM</b>: Станет доступным для редактора</p>
		</div>
	</div>
</div>