<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


$settings_header_footer = get_option( 'flat_plugin_header_footer_me' );

if( !function_exists( 'flat_pm_header_footer_script_tag' ) ){
	function flat_pm_header_footer_script_tag( $type, $code ){

		$code = str_replace( '</script>', '</scr`+`ipt>', $code);

		$settings = get_option( 'flat_plugin_settings_me' );


		$events = 'touchstart mousemove';
		if( isset( $settings['deferred_events'] ) && $settings['deferred_events'] != '' ){
			$events = $settings['deferred_events'];
		}
		$events = implode( '.' . $type . ' ', explode( ' ', $events ) ) . '.' . $type . '';


		$timeout = '800';
		if( isset( $settings['inseconds_mseconds'] ) && $settings['inseconds_mseconds'] != '' ){
			$timeout = $settings['inseconds_mseconds'];
		}


		$deferred = '';
		if(
			isset( $settings['deferred'] ) && $settings['deferred'] == 'true' || 
			(
				( !isset( $settings['deferred'] ) || $settings['deferred'] == 'false' ) && 
				( !isset( $settings['inseconds'] ) || $settings['inseconds'] == 'false' )
			)
		){
			$deferred = '
			doc.bind(eventLoad, function() {
				doc.unbind(eventLoad);
				unbinded = true;
				clearTimeout( timer );
				appendbody();
			});';
		}


		$inseconds_deferred = '';
		if( isset( $settings['inseconds'] ) && $settings['inseconds'] == 'true' ){
			$inseconds_deferred = '
			$(window).on( "load", function(){
				if( unbinded ){
					return;
				}
				timer = setTimeout( function(){
					doc.unbind(eventLoad);
					appendbody();
				}, ' . $timeout . ' )
			} );';
		}


		$lighthouse = '';
		if( isset( $settings['lighthouse'] ) && $settings['lighthouse'] == 'true' ){
			$lighthouse = '
			if( navigator.userAgent.indexOf("Chrome-Lighthouse") > -1 ){
				return;
			}';
		}


		return '
		<script>
		function jQueryLoaded_' . $type . '( $ ) {
			var doc = $(document),
				eventLoad = "' . $events . '",
				unbinded = false;

			' . $lighthouse . '

			function appendbody(){
				$("body").append(`
					' . $code . '
				`);
			}

			var timer;
			' . $inseconds_deferred . '

			' . $deferred . '
		}

		function jQueryLoading_' . $type . '() {
			if (window.jQuery) {
				jQueryLoaded_' . $type . '( jQuery )
			} else {
				setTimeout(function() {
					jQueryLoading_' . $type . '()
				}, 50)
			}
		}
		jQueryLoading_' . $type . '()
		</script>';

	}
}


if( isset( $settings_header_footer['header'] ) && $settings_header_footer['header'] != '' ){
	add_action( 'wp_head', 'flat_pm_header' );

	if( !function_exists( 'flat_pm_header' ) ){
		function flat_pm_header(){
			global $settings_header_footer;
			$code = stripslashes( htmlspecialchars_decode( $settings_header_footer['header'], ENT_QUOTES ) );

			if( isset($settings_header_footer['header_deferred'] ) && $settings_header_footer['header_deferred'] == 'true' ){
				$type = 'head_123';

				$output = flat_pm_header_footer_script_tag( $type, $code );

			}else{
				$output = $code;
			}

			echo $output;
		}
	}
}


if( isset( $settings_header_footer['footer'] ) && $settings_header_footer['footer'] != '' ){
	add_action( 'wp_footer', 'flat_pm_footer' );

	if( !function_exists( 'flat_pm_footer' ) ){
		function flat_pm_footer(){
			global $settings_header_footer;
			$code = stripslashes( htmlspecialchars_decode( $settings_header_footer['footer'], ENT_QUOTES ) );

			if( isset($settings_header_footer['footer_deferred'] ) && $settings_header_footer['footer_deferred'] == 'true' ){
				$type = 'footer_123';

				$output = flat_pm_header_footer_script_tag( $type, $code );

			}else{
				$output = $code;
			}

			echo $output;
		}
	}
}
?>